package net.carbon.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.carbon.model.po.EconomicsDO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;


/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author jieyuu
 * @since 2025-02-21
 */
@Mapper
public interface EconomicsMapper extends BaseMapper<EconomicsDO> {

    @Insert("insert into economics (name, unit, data, attribute, is_system_date, is_delete) values " +
            "(#{name},#{unit},#{data},#{attribute},#{isSystemDate},#{isDelete})")
    Integer add(EconomicsDO economicsDO);
}