package net.carbon.mapper;

import net.carbon.model.po.LabelDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 * 碳排放-城市高质量发展指标体系-标签表 Mapper 接口
 * </p>
 *
 * @author jieyuu
 * @since 2025-02-19
 */
@Mapper
public interface LabelMapper extends BaseMapper<LabelDO> {

    @Insert("insert into label (name, unit, data_value, attribute, is_system_date, is_delete) values (#{name},#{unit},#{dataValue},#{attribute},#{isSystemDate},#{isDeleted})")
    int add(LabelDO labelDO);
}
