package net.carbon.model.vo;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class LabelVO {
    private Long id;

    /**
     * 指标名称
     */
    private String name;

    /**
     * 单位
     */
    private String unit;

    /**
     * 数据值
     */
    private BigDecimal dataValue;

    /**
     * 指数属性
     */
    private String attribute;

    /**
     * 是否剔除（0-是系统数据不能删除，1-不是系统数据，可以删除）
     */
    private Integer isSystemDate;
}
